Bug 1740074 - No documentation for --check-config
Summary: No documentation for --check-config
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: firewalld
Version: 7.8
Hardware: Unspecified
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Eric Garver
QA Contact: Jiri Peska
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-12 09:00 UTC by Akhil John
Modified: 2020-04-24 14:26 UTC (History)
2 users (show)

Fixed In Version: firewalld-0.6.3-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-31 20:00:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:1109 None None None 2020-03-31 20:00:59 UTC

Comment 3 Eric Garver 2019-08-12 12:04:51 UTC
upstream:

  52356f49567c ("fix: document --check-config option")


# man firewall-cmd
[...]
Status Options
[...]
       --check-config
           Run checks on the permanent configuration. This includes XML validity and semantics.
[...]

Comment 4 Akhil John 2019-08-13 14:23:11 UTC
Please document the option for the testsuite that can point to a different top-level directory.

i.e. firewall-offline-cmd --system-config <path_to_config> --check-config

--system-config is /etc/firewalld by default



The main ask for this bugzilla is to document all the feature available with --check-config

Comment 6 Eric Garver 2019-08-19 17:11:32 UTC
Moving back to ASSIGNED to add the documentation referenced in comment 4.

Comment 7 Eric Garver 2019-08-20 12:40:28 UTC
(In reply to Akhil John from comment #4)
> Please document the option for the testsuite that can point to a different
> top-level directory.
> 
> i.e. firewall-offline-cmd --system-config <path_to_config> --check-config
> 
> --system-config is /etc/firewalld by default
> 
> 
> 
> The main ask for this bugzilla is to document all the feature available with
> --check-config

The option are also documented in the --help output.

# firewall-offline-cmd --help |grep config
[..]
      --system-config  Path to firewalld system configuration
      --default-config Path to firewalld default configuration
      --check-config   Check system and default configuration
[..]

They are only missing from the man page.

Comment 10 Eric Garver 2019-08-20 18:14:04 UTC
upstream:

  52356f49567c ("fix: document --check-config option")
  d48c6f780011 ("doc: add --default-config and --system-config")

Comment 14 errata-xmlrpc 2020-03-31 20:00:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1109


Note You need to log in before you can comment on or make changes to this bug.